# Contact Login Profiles Contact Login Profiles ## Creates a new contact login profile record that does not already exist. - [POST /contactLoginProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/createcontactloginprofile.md): This method will auto-generate an ID and create a new contact login profile. If an ID is specified for the contact login profile, an error will be thrown. ## Execute Batch Operations - [POST /contactLoginProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a contact login profile from the system by its ID. - [DELETE /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/deletecontactloginprofile.md): This method will delete a contact login profile with the specified ID. ## Returns a contact login profile from the system by its ID. - [GET /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/getcontactloginprofile.md): This method will look up a contact login profile by the specified ID and return it back. ## Partially updates a contact login profile with the specified ID. - [PATCH /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/patchcontactloginprofile.md): This method will patch an existing contact login profile with the specified ID, using the HTTP PATCH specification. ## Updates a contact login profile with the specified ID. - [PUT /contactLoginProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-login-profiles/updatecontactloginprofile.md): This method will update an existing contact login profile with the specified ID.